## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate openssl-sys

Name:           rust-openssl-sys
Version:        0.9.104
Release:        %autorelease
Summary:        FFI bindings to OpenSSL

License:        MIT
URL:            https://crates.io/crates/openssl-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop feature and dependencies for unstable BoringSSL support
# * drop feature and dependencies for building against vendored OpenSSL sources
# * drop Windows-specific vcpkg build-dependency:
#   https://github.com/sfackler/rust-openssl/issues/2031
Patch:          openssl-sys-fix-metadata.diff
Patch:          0001-drop-Windows-specific-references-to-vcpkg.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(openssl) >= 1.0.1

%global _description %{expand:
FFI bindings to OpenSSL.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(openssl) >= 1.0.1

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Oct 22 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.104-1
- Update to version 0.9.104; Fixes RHBZ#2319042

* Thu Jul 25 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.103-1
- Update to version 0.9.103; Fixes RHBZ#2299030

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.102-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Apr 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.102-1
- Update to version 0.9.102; Fixes RHBZ#2265011

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.99-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.9.99-1
- Update to version 0.9.99; Fixes RHBZ#2259300

* Wed Dec 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.98-1
- Update to version 0.9.98; Fixes RHBZ#2252869

* Thu Nov 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.96-1
- Update to version 0.9.96; Fixes RHBZ#2251133

* Fri Nov 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.95-1
- Update to version 0.9.95; Fixes RHBZ#2247540

* Tue Sep 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.93-1
- Update to version 0.9.93; Fixes RHBZ#2237328

* Mon Aug 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.92-1
- Update to version 0.9.92; Fixes RHBZ#2229492

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.90-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.90-1
- Update to version 0.9.90; Fixes RHBZ#2216347

* Sun Jun 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.88-1
- Update to version 0.9.88; Fixes RHBZ#2210911

* Fri Apr 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.87-1
- Update to version 0.9.87; Fixes RHBZ#2188493

* Mon Apr 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.85-1
- Update to version 0.9.85; Fixes RHBZ#2183734

* Sun Mar 26 2023 Fabio Valentini <decathorpe@gmail.com> - 0.9.83-1
- Update to version 0.9.83; Fixes RHBZ#2178375

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.80-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 21 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.80-1
- Update to version 0.9.80; Fixes RHBZ#2155266

* Sun Dec 11 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.79-1
- Update to version 0.9.79; Fixes RHBZ#2130051

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.75-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.75-1
- Update to version 0.9.75; Fixes RHBZ#2105672

* Mon Jul 04 2022 Fabio Valentini <decathorpe@gmail.com> - 0.9.74-1
- Update to version 0.9.74; Fixes RHBZ#2081188

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.72-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.72-1
- Update to version 0.9.72; Fixes RHBZ#2031453

* Wed Nov 17 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.71-1
- Update to version 0.9.71; Fixes RHBZ#2023850

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.70-1
- Update to version 0.9.70; Fixes RHBZ#2006572

* Sat Aug 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.66-1
- Update to version 0.9.66; Fixes RHBZ#1994704

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.65-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.65-1
- Update to version 0.9.65.
- Fixes RHBZ#1973896

* Thu May 13 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.63-1
- Update to version 0.9.63.
- Fixes RHBZ#1957747

* Thu May 06 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.62-1
- Update to version 0.9.62.
- Fixes RHBZ#1938488

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.60-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.60-1
- Update to version 0.9.60.
- Fixes RHBZ#1910765

* Thu Dec 10 2020 Fabio Valentini <decathorpe@gmail.com> - 0.9.59-1
- Update to version 0.9.59.
- Remove feature for vendored OpenSSL.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 06 2020 Josh Stone <jistone@redhat.com> - 0.9.58-1
- Update to 0.9.58

* Tue May 26 2020 Josh Stone <jistone@redhat.com> - 0.9.57-1
- Update to 0.9.57

* Fri May 08 2020 Josh Stone <jistone@redhat.com> - 0.9.56-1
- Update to 0.9.56

* Wed Apr 08 2020 Josh Stone <jistone@redhat.com> - 0.9.55-1
- Update to 0.9.55

* Thu Jan 30 2020 Josh Stone <jistone@redhat.com> - 0.9.54-1
- Update to 0.9.54

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 0.9.53-2
- Bump to autocfg 1

* Sat Nov 23 2019 Josh Stone <jistone@redhat.com> - 0.9.53-1
- Update to 0.9.53

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 0.9.52-1
- Update to 0.9.52

* Sat Sep 21 13:14:23 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.49-1
- Update to 0.9.49

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.47-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 12:25:59 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.47-2
- Regenerate

* Fri May 31 2019 Josh Stone <jistone@redhat.com> - 0.9.47-1
- Update to 0.9.47

* Thu May 09 2019 Josh Stone <jistone@redhat.com> - 0.9.46-1
- Update to 0.9.46

* Thu May 02 2019 Josh Stone <jistone@redhat.com> - 0.9.44-1
- Update to 0.9.44

* Fri Mar 22 2019 Josh Stone <jistone@redhat.com> - 0.9.43-1
- Update to 0.9.43

* Thu Mar 14 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.42-2
- Adapt to new packaging

* Fri Mar 01 2019 Josh Stone <jistone@redhat.com> - 0.9.42-1
- Update to 0.9.42

* Fri Feb 22 2019 Josh Stone <jistone@redhat.com> - 0.9.41-1
- Update to 0.9.41

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.40-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 0.9.40-1
- Update to 0.9.40

* Sat Nov 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.39-2
- Adapt to new packaging

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 0.9.39-1
- Update to 0.9.39

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 0.9.36-1
- Update to 0.9.36

* Tue Aug 07 2018 Josh Stone <jistone@redhat.com> - 0.9.35-1
- Update to 0.9.35

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.33-1
- Update to 0.9.33

* Tue Jun 05 2018 Josh Stone <jistone@redhat.com> - 0.9.32-1
- Update to 0.9.32

* Tue May 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.31-1
- Update to 0.9.31

* Wed May 02 2018 Josh Stone <jistone@redhat.com> - 0.9.30-1
- Update to 0.9.30

* Fri Apr 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.28-1
- Update to 0.9.28

* Thu Mar 01 2018 Josh Stone <jistone@redhat.com> - 0.9.27-1
- Update to 0.9.27

* Mon Feb 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.26-1
- Update to 0.9.26

* Thu Feb 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.25-1
- Update to 0.9.25

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.24-1
- Update to 0.9.24

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.23-2
- Rebuild for rust-packaging v5

* Wed Dec 06 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.23-1
- Update to 0.9.23

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.22-1
- Update to 0.9.22

* Sun Nov 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.21-1
- Update to 0.9.21

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.14-1
- Update to 0.9.14

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.10-2
- Port to use rust-packaging

* Mon Apr 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.10-1
- Update to 0.9.10

* Wed Mar 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.9-1
- Update to 0.9.9

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.7-2
- Rebuild

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.7-1
- Initial package

## END: Generated by rpmautospec
